#!/bin/bash
DIR="$(realpath $(dirname "$(readlink -f "$0")")/..)"

PHP_VERSION=$1 # Without dot
WITH_PROFILER=$2

if [[ -z "${PHP_VERSION}" ]]; then PHP_VERSION=74; fi

POSSIBLE_XDEBUG_VERSION=xdebug2

if [[ $PHP_VERSION -gt 81 ]]; then
  POSSIBLE_XDEBUG_VERSION=xdebug3
fi

${DIR}/dockerfiles/php-fpm/${POSSIBLE_XDEBUG_VERSION}/xdebug.sh stop ${PHP_VERSION} ${WITH_PROFILER}
${DIR}/dockerfiles/workspace/xdebug.sh stop ${PHP_VERSION} ${WITH_PROFILER}
